/* Fonts */

@font-face { font-family: InterSB; src: url('fonts/InterSemibold.otf'); }
@font-face { font-family: InterT; src: url('fonts/InterThin.otf'); } 
@font-face { font-family: InterL; src: url('fonts/InterLight.otf'); } 

:root {
    --scroll-width: 0;
    --portrait-opacity: 0;
    --portrait-src: url("home/portraitBlur.png");
    --text-logo-opacity: 0;
    --social-width: 700px;
}

html {
    height: 100%;
    scroll-behavior: smooth;
}

body {
    /* background-color:white; */
    background-image: linear-gradient(to right,#135F82, #1F0951);
    /* height: 100%; */
    /* background-size: cover; */
    margin: 0px;
    z-index: -30;
    /* min-width: 670px; */

}

.backdrop {
    background-image: url('images/backdrop.png');
    background-size: cover;
    background-position: center center;
    height: 100%;
    width: 100%;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    position: fixed;
    z-index: -29;
}

#main-logo {
    /* visibility: hidden; */
    position: fixed;
    background-image: url(images/funicRenderLogo.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    height: 50%;
    width: 100%;
    top: 10%;
    transition: all .7s ease-in-out;
}

#offer-logo {
    /* visibility: hidden; */
    position: fixed;
    object-fit: contain;
    height: 40%;
    width: 100%;
    top: 10%;
    transition: all .7s ease-in-out;   
}

/* NAVBAR======================================================== */

/* Navbar Containers */

#nav-container {
    position: fixed;
    width: 100%;
    top:0%;
    /* box-shadow: 0px 5px 10px rgb(77, 77, 77); */
    background-image: linear-gradient(rgb(255,255,255, .8), rgb(255,255,255, 1));
    backdrop-filter: blur(8px);
    border-bottom: solid white;
    border-width: 5px;
    z-index: 100;
}

#navbar {
    overflow: hidden;
    max-width: 1000px;
    width: 100%;
    margin: auto;
    margin-top: 8px;
    display: flex;
    font-family: 'InterSB';
    /* border-bottom: solid #A08F1D; */
    border-width: 2px;
}

/* Navbar Logo */

#nav-logo {
    height: auto;
    margin-top: 5px;
    margin-bottom: -5px;
}

.logo {
    display: inline-block;
    position: relative;
    margin-inline: -11px;
    margin-top: -25px;
    height: 50px;
    /* width: auto; */
    padding-inline: 10px;
    z-index: 1;
}

.logo img {
    height: 100%;
    width: auto;
    transition: opacity 0.2s linear;
}

/* Navbar a */

#navbar a {
    display: inline-block;
    position: relative;
    text-align: center;
    padding-inline: 16px;
    padding-top: 15px;
    padding-bottom: 5px;
    text-decoration: none;
    font-size: 17px;
    background-image: linear-gradient(rgba(255,0,0,0) 70%,rgba(255,222,29,0));
    z-index: 1;
    color: black;
    transition: all 0.2s linear;
}

#navbar .active {
    background: -webkit-linear-gradient(0deg, #6a12d6,#269AE6);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

#navbar a:hover {
    color: gray;
}

/* PORTRAIT======================================================== */

/* Portrait */

.scroll-main {
    top: 60%;
    width: 100%;
    height: 30%;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}


@keyframes slide {
    0% {
      transform: translate(0%);
    }
    100% {
      transform: translate(var(--scroll-width));
    }
  }

.scroll-container {
    height: 30%;
    width: max-content;
    position: fixed;
    white-space: nowrap;
    overflow: visible;
    animation: slide 120s linear infinite;
}

.scroll-container::after {
    content: "";
    width: 200vw;
    height: 100%;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: inline-block;
    background-image: url("images/scroll.png");
    background-repeat: repeat-x;
    background-size: auto 100%;
}

#fake-scroll {
    height: 30lvh;
    top: auto;
    background-image: linear-gradient(rgba(0,0,0,.3),rgba(255,222,29,0), rgba(53, 55, 125,1));
}

#portrait {
    display: inline-block;
    height: 100%;
    width: auto;
}

/* Text Logo */

#text-logo {
    display: block;
    position: fixed;
    width: 600px;
    height: 463px;
    content: "";
    background-image: url("home/TextLogo.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    left: 50%;
    top: 17%;
    margin-left: -300px;
}

/* Social */

#social {
    top: 20%;
    width: 100%;
    left: -10%;
    height: 20%;
    position: fixed;
    /* visibility: hidden; */
    opacity: 0;
    transition: all .6s ease-out;  
}

#social-logo {
    width: 90%;
    margin-inline: auto;
    height: 100%;
    background-image: url("images/connect.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center top;
    /* position: fixed; */
    /* z-index: 1; */
    transition: all .6s ease-out;  
}

#social ul {
    /* background-color: red; */
    width: 150px;
    margin-inline: auto;
}

#social ul li {
    display: inline-block;
    list-style: none;
    margin-right: 10px;
    transition: all .6s ease-out;
}

#social ul li a img {
    height: 50px;
    width: 50px;
    transition: all .2s ease-out;
}

#social ul li a img:hover {
    cursor: pointer;
    width: 70px;
    height: 70px;
    margin-top: -35px;
}

/* CONTENT======================================================== */

/* Content */

.container {
    width: 100%;
}

.content {
    width: 100%;
    margin-inline: auto;
    background-image: linear-gradient(rgb(255,255,255, 1), rgb(255,255,255, .7));
    backdrop-filter: blur(20px);
    text-align: center;
    transition: all .5s linear;
    color: black;
}

.half-container {
    overflow: hidden;
}

.half {
    width: 50%;
    height: 100%;
    float: left;
}

.half img {
    width: 90%;
    /* height */
    object-fit: contain;
    margin-top: 25px;
}


.left {
    text-align: left;
}

.black {
    background-image: linear-gradient(rgb(0,0,0, 1), rgb(0,0,0, .7));
    color: white;
}

.content .section {
    width: 100%;
    max-width: 1000px;
    /* margin-bottom: 50px; */
    border-bottom: none;
    margin-inline: auto;
    padding-block: 50px;
    text-align: center;
}

#back {
    top:250lvh;
    background-image: linear-gradient(rgb(255,255,255, .2), rgb(255,255,255, .1));
    backdrop-filter: blur(20px);
    text-align: center;
    vertical-align: middle;
    line-height: 100lvh;
    width: 100%;
    height: 100lvh;
    position: absolute;
    transition: all .3s ease-out;
    /* background-color: blue; */
}

.backImg {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 30%;
    /* background-color: red; */
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    background-image: url("images/textLogo.png");
}

/* Content Elements */

.content .section .banner {
    width: 100%;
    height: auto;
    margin-bottom: 50px;
    /* border-top-left-radius: 20px;
    border-top-right-radius: 20px; */
    border-width: 3px;
    /* box-shadow: 0px 0px 200px 0px rgb(0,0,0); */
    transition: all .5s ease-out;
    overflow: hidden;
}

.content .section .banner img {
    display: block;
    margin: auto;
    object-fit: contain;
    width: 100%;
    height: 100%;
    transition: all .5s ease-out;
    user-select: none;
    opacity: 0;
}

.content .section .mid {   
    font-size: 50px;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px; 
}

h1 {
    font-size: 50px;
    font-weight: normal;
    border-width: 2px;
    margin-inline: 20px;
    font-family: 'InterSB';
    padding-bottom: 5px;
    user-select: none;
}

.content h2 {
    padding: 0;
    margin-inline: 0;
    font-family: 'InterSB';
    font-weight: normal;
    font-size: 35px;
    color: black;
    margin-inline: 20px;
}

.content h2 img {
    display: inline-block;
    height: 35px;
    padding-inline: 5px;
    vertical-align: middle;
}

.content p {
    color: rgb(0, 0, 0);
    margin-inline: 5%;
    font-family:'InterL';
    font-size: 20px;
}

/* Content a-tag */

.content a {
    position: relative;
    display: block;
    padding-block: 15px;
    width: 90%;
    max-width: 400px;
    margin: auto;

    background-image: radial-gradient(circle at top left, #4A4CF2,#269AE6);
    background-origin: border-box;
    background-clip: padding-box, border-box;

    font-family: 'InterSB';
    color: white;
    text-align: center;
    border-radius: 40px;
    margin-bottom: 50px;
    transition: all .2s ease-out;
    user-select: none;
    z-index: 1;
    font-size: 15px;
    background-color: red;
}

.content a::after {
    content: "";
    display: inline-block;
    vertical-align: middle;
    width: 7px;
    height: 7px;
    background: url('images/atag.png') 0 0 no-repeat;
    background-size: contain;
    margin-left: 7px;
    margin-bottom: 2px;
    box-shadow: none;
    transition: all .2s ease-out;
}

.content a:hover::after {
    width: 10px;
    height: 10px;
}

.content a:hover {
    cursor: pointer;
    text-decoration: underline;
    width: 100%;
    max-width: 450px;
}

/* Content Table */

.table {
    background-image: linear-gradient(rgb(255,255,255, .9), rgb(255,255,255, .5));
    box-shadow: none;
    backdrop-filter: blur(20px);
    border: none;
    font-family: 'InterSB';
    table-layout: fixed ;
}

.content table {
    padding-block: 50px;
    width: 100%;
    max-width: 1000px;
    margin-inline: auto;
    border-spacing: 10px;
    border-collapse: separate;
    opacity: 0;
    transition: all .5s ease-in-out;
}

.content table tr td {
    vertical-align: bottom;
}

.content table tr td h1 {
    text-align: center;
    width: 240px;
    margin-inline: auto;
    padding-inline: 0;

}

.content table tr td h2 {
    width: 200px;
    margin-inline: auto; 
}

.content table tr {
    bottom: 0;
    margin-bottom: 0;
}

.content table tr td {
    padding: 10px;
    backdrop-filter: blur(20px);
    border-width: 4px;
    transition: all .3s ease-out;
    background-color: white;
}

.content table tr td img {
    object-fit: contain;
    width: 100%;
    height: 200px;
    user-select: none;
}

.content table tr td h1, .content table tr td h2 {
    font-size: 40px;
    text-align: center;
    padding: 0;    
    width: 95%;
}

.content table tr td p {
    font-size: 20px;
}

.content table tr .black {
    background-image: linear-gradient(rgb(0,0,0, 1), rgb(0,0,0, .7));   
}

.content table a {
    bottom: 0;
}

/* Color Variants */

.black p, .black h2 {
    color: white;
}

.black a {
    background-color: #977B41;
}

.filler {
    text-align: center;
    color: white;
    font-family: 'InterSB';
    width: 100%;
    height: 250lvh;
    text-shadow: 5px 5px 30px #4A4CF2;
}

.nonspace {
    backdrop-filter: blur(8px);
    background-image: linear-gradient(rgb(255,255,255, 0) 40%, rgba(53, 55, 125, 0.8));
}

.filler h1 {
    display: block;
    font-size: 6lvh;
    margin-inline: 0;
    width: 100%;
    margin-block: 0;
    padding-top: 17lvh;
}

.filler img {
    width: 100%;
    height: 90%;
    max-width: 1200px;
    object-fit: contain;
    position: relative;
    top: 10%;
}

/* Footer */

footer {
    margin-top: 30lvh;
    width: 100%;
    background-image: linear-gradient(rgb(255,255,255, 1), rgb(255,255,255, .6));
    z-index: -200;
    height: 350px;
    overflow: hidden;
}

.footer-container {
    margin-inline: auto;
    width: 100%;
    max-width: 400px;
    height: 230px;
}

.table-block {
    height: 100%;
    width: 49%;
    float: right;
    display: inline-block;
}

.table-block h1 {
    font-size: 25px;
    text-align: left;
}

.table-block h2 {
    font-family: 'InterSB';
    font-size: 15px;
    padding: 0px;
    text-align: left;
}

footer img {
    margin: auto;
    height: 120px;
    user-select: none;
    padding-top: 20px;
    object-fit: contain;
    width: 100%;
    margin-bottom: -25px;
}

footer a {
    color: black;
    transition: all 0.2s linear;
    text-decoration: none;
}

footer a:visited {
    color: black;
    text-decoration: none;
}

footer a:hover {
    color: gray;
}

.d {
    background-color: #1F0951;
    height: 30lvh;

}

/* Dynamic */

@media (max-width: 760px) {
    .content table {
        display: block;
        font-size: 10px;
        padding-block: 10px;
        padding-inline: 0;
        width: 100%;
        max-width: 1000px;
        margin-inline: auto;
        border-spacing: 10px;
        border-collapse: separate;
    }   
    
    .content table tr td {
        padding: 20px;
        display: inline-block;
        width: 80%;
    }
}